com.microfocus.awm.model.toolexecution

## Interface IToolParameter

- All Superinterfaces:
    IDynamicObject
  All Known Subinterfaces:
    IFileInputParameter, IFileOutputParameter, IFileParameter, IModeledFileOutputParameter, IModeledPropertyOutputParameter, IModeledToolOutputParameter, IPropertyOutputParameter, IPropertyParameter, IStringInputParameter, IToolInputParameter, IToolOutputParameter
  All Known Implementing Classes:
    AbstractToolParameter, FileInputParameter, FileOutputParameter, ModeledFileOutputParameter, ModeledPropertyOutputParameter, ModeledToolOutputParameter, PropertyOutputParameter, StringInputParameter, TableOutputParameter, ToolOutputParameter

      public interface IToolParameter
      extends IDynamicObject

  Main interface for all parameter types used for executing tool descriptors.
  Author:
    Micro Focus

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RToolParameter` | `getModelObject()` Gets the model object.
    `java.lang.Object` | `getTargetID()`
    `boolean` | `isMassProcessingParameter()` Whether the tool descriptor parameter was modeled mass processing parameter.

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IDynamicObject

      `getAttributes, getAttributeValue, getComplexAttributes`

- - ### Method Detail

    - #### getTargetID

          java.lang.Object getTargetID()

      Returns:
        the target ID, which can be `null`

    - #### isMassProcessingParameter

          boolean isMassProcessingParameter()

      Whether the tool descriptor parameter was modeled mass processing parameter.
      Returns:
        the `Mass Processing` value of the modeled tool descriptor parameter

    - #### getModelObject

          RToolParameter getModelObject()

      Description copied from interface: `IDynamicObject`
      Gets the model object.
      Specified by:
        `getModelObject` in interface `IDynamicObject`
      Returns:
        the model object

Copyright © 2015 Micro Focus GmbH. All rights reserved.